Name: sugar-plugin-telepathy
Version: 0.5

Release: 3.1
Group: Development/Tools/Other
Summary: Alternative implementation of Neighborhood collaboration in Sugar Shell
License: GPLv3+
Url: http://git.sugarlabs.org/desktop/sugar-telepathy-plugin

Source: sugar-plugin-telepathy-0.5.tar.gz
Source1: sweet.tar.gz





BuildRequires: python

Provides: sugar-telepathy-plugin
Obsoletes: sugar-telepathy-plugin

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
AutoProv: no
AutoReq:  no
BuildArch: noarch

%description
Alternative implementation of Neighborhood collaboration in Sugar Shell

%prep
%setup -n sugar-plugin-telepathy-0.5

tar xzpvf %{SOURCE1} -C %{_sourcedir}


%build



%install

# Such scripts might, e.g., compress man files that will break %files logic
%undefine __os_install_post

install -m 0755 -d %{buildroot}/.dest//opt/sweets/sugar/src/jarabe/plugins && cp -r plugin %{buildroot}/.dest//opt/sweets/sugar/src/jarabe/plugins/telepathy && for i in `ls po/*.po`; do d=%{buildroot}/.dest//opt/sweets/sugar/src/jarabe/plugins/telepathy/locale/`basename $i .po`/LC_MESSAGES && mkdir -p $d && msgfmt -o $d/sugar-plugin-telepathy.mo $i; done && true
python %{_sourcedir}/sweet_install.py move rpm %{buildroot}/.dest %{buildroot} /usr '' '' >> sugar-plugin-telepathy.files
rm -rf %{buildroot}/.dest
install -m 0755 -d %{buildroot}/opt/sweets/sugar-plugin-telepathy
(cd %{buildroot}; find . -name "*.py" -printf "%h\n" | sort | uniq | sed s/^.// > opt/sweets/sugar-plugin-telepathy/pydirs)
echo /opt/sweets/sugar-plugin-telepathy/pydirs >> sugar-plugin-telepathy.files

%post
test -e /opt/sweets/sugar-plugin-telepathy/pydirs && for i in `cat /opt/sweets/sugar-plugin-telepathy/pydirs`; do python -m compileall -l $i >/dev/null; python -O -m compileall -l $i >/dev/null; done; true

%preun
test -e /opt/sweets/sugar-plugin-telepathy/pydirs && for i in `cat /opt/sweets/sugar-plugin-telepathy/pydirs`; do rm -f $i/*.pyc $i/*.pyo; done; true

%clean
rm -rf %{buildroot}

%files -f sugar-plugin-telepathy.files

%changelog
